Summary   	: LPRng Print Spooler
Name	  	: hhl-target-lprng
Version	  	: 3.7.4
Release	  	: %{_hhl_build_id}.3
Source0		: ftp://ftp.astart.com/pub/LPRng/LPRng/LPRng-%{version}.tgz
Source1		: lpd.init
Source2: LPRng.tmpl
Patch0		: LPRng-3.7.4-lockfile.patch
Patch1		: LPRng-3.7.4-kerb5.patch
Patch2		: LPRng-3.7.4-nointl.patch
Patch3		: LPRng-3.7.4-inet_ntop.patch
Patch4		: LPRng-3.7.4-manpage.patch
Patch5		: LPRng-3.7.4-shutdown.patch 
Patch6		: LPRng-3.7.4-makefile.patch
License 	: BSD
Group	  	: net
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#
#	SRPM
#
%description

The LPRng software is an enhanced, extended, and portable implementation
of the Berkeley LPR print spooler functionality. While providing the
same interface and meeting RFC1179 requirements, the implementation
is completely new and provides support for the following features:
lightweight (no databases needed) lpr, lpc, and lprm programs; dynamic
redirection of print queues; automatic job holding; highly verbose
diagnostics; multiple printers serving a single queue; client programs
do not need to run SUID root; greatly enhanced security checks; and a
greatly improved permission and authorization mechanism.

The source software compiles and runs on a wide variety of UNIX systems,
and is compatible with other print spoolers and network printers that
use the LPR interface and meet RFC1179 requirements.  LPRng provides
emulation packages for the SVR4 lp and lpstat programs, eliminating the
need for another print spooler package. These emulation packages can be
modified according to local requirements, in order to support vintage
printing systems.

For users that require secure and/or authenticated printing support,
LPRng supports Kerberos V, MIT Kerberos IV Print Support, and PGP
authentication.  LPRng is being adopted by MIT for use as their Campus
Wide printing support system. Additional authentication support is
extremely simple to add.

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-lprng
Summary		: LPRng Print Spooler
Group		: net
AutoReqProv	: no
Obsoletes	: hhl-%{_hhl_target_arch}-LPRng
Conflicts	: hhl-%{_hhl_target_arch}-lpr
%description -n hhl-%{_hhl_target_arch}-lprng

The LPRng software is an enhanced, extended, and portable implementation
of the Berkeley LPR print spooler functionality. While providing the
same interface and meeting RFC1179 requirements, the implementation
is completely new and provides support for the following features:
lightweight (no databases needed) lpr, lpc, and lprm programs; dynamic
redirection of print queues; automatic job holding; highly verbose
diagnostics; multiple printers serving a single queue; client programs
do not need to run SUID root; greatly enhanced security checks; and a
greatly improved permission and authorization mechanism.

The source software compiles and runs on a wide variety of UNIX systems,
and is compatible with other print spoolers and network printers that
use the LPR interface and meet RFC1179 requirements.  LPRng provides
emulation packages for the SVR4 lp and lpstat programs, eliminating the
need for another print spooler package. These emulation packages can be
modified according to local requirements, in order to support vintage
printing systems.

For users that require secure and/or authenticated printing support,
LPRng supports Kerberos V, MIT Kerberos IV Print Support, and PGP
authentication.  LPRng is being adopted by MIT for use as their Campus
Wide printing support system. Additional authentication support is
extremely simple to add.

%prep

%target_check

%setup -n LPRng-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
autoconf

%build
PATH=%{_hhl_cross_bin_dir}:$PATH

%target_setup
export CFLAGS=-O1
%target_configure --disable-gdbm --libexecdir=%{_hhl_target_lib_dir}/LPRng

make

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

cd objdir
make install STRIP=-c DESTDIR=%{buildroot}%{_hhl_cross_target_dir}

mkdir -p %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d
cp %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/rc.d/init.d/* %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/

gzip -v9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man?/*

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/LPRng

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-lprng
%defattr(-,root,root)
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/lpd.conf
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/lpd.conf.sample
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/lpd.perms
%{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/lpd.perms.sample
%config %{_hhl_cross_target_dir}%{_hhl_target_sysconf_dir}/init.d/lprng
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/cancel
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lp
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lpq
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lpr
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lprm
%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/lpstat
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/LPRng/filters/lpbanner
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/LPRng/filters/lpf
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/LPRng/filters/pclbanner
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/LPRng/filters/psbanner
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/checkpc
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/lpc
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/lpd
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/cancel.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lp.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lpbanner.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lpf.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lpq.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lpr.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lprm.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/lpstat.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/monitor.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/pclbanner.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man1/psbanner.1.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/lpd.conf.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/lpd.perms.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man5/printcap.5.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/checkpc.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/lpc.8.gz
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/lpd.8.gz

%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/LPRng

%changelog
* Mon Jul 23 2001 Mark Hatle <source@mvista.com>
- renamed package and obsoleted previous name
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Mar 06 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
